package com.example.demo;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author luhaoyuan
 * @date 2019/1/12
 * @desc
 */
@RestController
public class UploadController {

    @RequestMapping(value = "/uploadFile", method = RequestMethod.POST)
    public String uploadFile(@RequestParam("fileName") MultipartFile file) {
        //判断文件是否为空
        if (file.isEmpty()) {
            return "-1";
        }

        String fileName = file.getOriginalFilename();

        //加个时间戳，尽量避免文件名称重复
        String homePath = System.getProperty("user.home");
        String path = homePath + File.separator
                + new SimpleDateFormat("yyyyMMddHHmmss").format(new Date())
                + "_" + fileName;

        File dest = new File(path);

        //判断文件是否已经存在
        if (dest.exists()) {
            return path + "is exists!";
        }

        try {
            //保存文件
            file.transferTo(dest);
        } catch (IOException e) {
            return "save to " + path + " error!!";
        }

        return "success, save to: " + path;
    }
}
